scala.tools.nsc.interactive

# ShutdownReq

#### object ShutdownReq extends Throwable with ControlThrowable

Signals a request for a shutdown of the presentation compiler. Note: The object has to stay top-level so that the PresentationCompilerThread may access it.

Linear Supertypes
ControlThrowable, NoStackTrace, java.lang.Throwable, java.io.Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ShutdownReq
2. ControlThrowable
3. NoStackTrace
4. Throwable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def addSuppressed(arg0: java.lang.Throwable): Unit

   Definition Classes
     Throwable

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def fillInStackTrace(): Throwable

    Definition Classes
      NoStackTrace → Throwable

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### def getCause(): java.lang.Throwable

    Definition Classes
      Throwable

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def getLocalizedMessage(): String

    Definition Classes
      Throwable

16. #### def getMessage(): String

    Definition Classes
      Throwable

17. #### def getStackTrace(): Array[StackTraceElement]

    Definition Classes
      Throwable

18. #### final def getSuppressed(): Array[java.lang.Throwable]

    Definition Classes
      Throwable

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### def initCause(arg0: java.lang.Throwable): java.lang.Throwable

    Definition Classes
      Throwable

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### def printStackTrace(arg0: PrintWriter): Unit

    Definition Classes
      Throwable

26. #### def printStackTrace(arg0: PrintStream): Unit

    Definition Classes
      Throwable

27. #### def printStackTrace(): Unit

    Definition Classes
      Throwable

28. #### def setStackTrace(arg0: Array[StackTraceElement]): Unit

    Definition Classes
      Throwable

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      Throwable → AnyRef → Any

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ControlThrowable

### Inherited from NoStackTrace

### Inherited from java.lang.Throwable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped